> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Export Settings S3

> Updates the S3 settings within an existing Export Settings object. Note that you cannot update location groups or sites with this request - you must use the full Update Export Settings request instead.



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/export/s3/update
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/export/s3/update:
    post:
      tags:
        - ExportInventory
      summary: Update Export Settings S3
      description: >-
        Updates the S3 settings within an existing Export Settings object. Note
        that you cannot update location groups or sites with this request - you
        must use the full Update Export Settings request instead.
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/UpdateExportSettingsS3Request'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateExportSettingsS3Response'
          description: Success
        '400':
          description: Bad Request
        '404':
          description: No Settings Found
        '500':
          description: Internal Service Error
components:
  requestBodies:
    UpdateExportSettingsS3Request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateExportSettingsS3Request'
      description: Request to update an existing Export Settings S3
      required: true
  schemas:
    UpdateExportSettingsS3Response:
      description: Update Export Settings S3 Response
      properties:
        exportSettingsID:
          description: Export Settings ID to associate the s3 settings with
          type: integer
        exportSettingsS3ID:
          description: Export Settings S3 ID
          type: integer
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
        tenantID:
          description: Tenant ID
          type: integer
      title: Update Export Settings S3 Response
      type: object
    UpdateExportSettingsS3Request:
      description: Request needed updating existing Export Settings S3
      properties:
        exportSettingsName:
          description: Export Settings Name to associate the ftp settings with
          type: string
        exportSettingsS3:
          $ref: '#/components/schemas/ExportSettingsS3'
        locationCode:
          description: Location Code
          title: location code
          type: string
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Update Export Settings S3 Request
      type: object
    ExportSettingsS3:
      description: Export Settings S3
      properties:
        active:
          description: Flag for Active State
          type: boolean
        bucket:
          description: S3 Bucket (directory)
          type: string
        exportSettingsID:
          description: Export Settings ID
          type: integer
        exportSettingsS3ID:
          description: Export Settings S3 ID
          type: integer
        name:
          description: Export Settings S3 Name
          type: string
        region:
          description: S3 Region
          type: string
      required:
        - name
        - region
        - bucket
      title: Export Settings S3
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````